@echo off
REM ******************************************************************
REM Simple batch script to bootstrap Ant for installing and setting up
REM LoginModules. 
REM Requirements:
REM   The following variables must be set or passed in the environment:
REM
REM   JAVA_HOME - location of SDK (1.4 +)
REM   ANT_HOME  - location of ant install (1.6+)
REM
REM ******************************************************************
REM drmills - 2/aug/2005
REM ******************************************************************

REM Either set the following here or in the environment

REM SET JAVA_HOME=D:/SDK1.4.2_08
REM ANT_HOME=D:/apache-ant-1.6.5/

if "%JAVA_HOME%"=="" goto showargs

if "%ANT_HOME%"=="" goto showargs


%ANT_HOME%/bin/ant %1


goto end

:showargs
cls
echo *****************************************************************
echo Set JAVA_HOME and ANT_HOME variables in this batch file or in
echo the environment to run this script
echo *****************************************************************
echo Usage:
echo   run      - shows all of the available tasks
echo   run task - run a specific task
echo e.g.
echo   run demoClear - installs clear text versions of demo tables
echo *****************************************************************
echo   WARNING: Edit build.properties to define your setup before
echo            running any of the tasks.
echo *****************************************************************

:end


